<?php

class RequestFunctions{
			
	public function injectionFunctions($class){	
    require_once("MSQLI/".$class.".php");
	$execute = new $class();
    return $execute;
	}
	
	public function injectionConfig(){
	require_once("config_functions.php");
	$config_functions= new config_functions();
	return $config_functions;	
	}
	
};

class ChamarFuncoes{
	
protected $classPath;
	
public function __construct($classPath){
$this->Path = $classPath; 
}

public function chamarClass($class){
$function = $this->Path->injectionFunctions($class);
return $function;
}
	
}

$RequestFunctions =  new RequestFunctions();
$receptor         =  new ChamarFuncoes($RequestFunctions);
$resultsConfig    =  $RequestFunctions->injectionConfig();


?>